LibreOffice: cppu::OTypeCollection Class Reference

LibreOffice LibreOffice 25.8 SDK C/C++ API Reference

Loading...
Searching...
No Matches
cppu::OTypeCollection Class Reference

Helper class to implement css::lang::XTypeProvider. More...

`#include <typeprovider.hxx>`

## Public Member Functions
| OTypeCollection (const css::uno::Type &rType1, const css::uno::Sequence< css::uno::Type > &rAddTypes=css::uno::Sequence< css::uno::Type >())
| OTypeCollection (const css::uno::Type &rType1, const css::uno::Type &rType2, const css::uno::Sequence< css::uno::Type > &rAddTypes=css::uno::Sequence< css::uno::Type >())
| OTypeCollection (const css::uno::Type &rType1, const css::uno::Type &rType2, const css::uno::Type &rType3, const css::uno::Sequence< css::uno::Type > &rAddTypes=css::uno::Sequence< css::uno::Type >())
| OTypeCollection (const css::uno::Type &rType1, const css::uno::Type &rType2, const css::uno::Type &rType3, const css::uno::Type &rType4, const css::uno::Sequence< css::uno::Type > &rAddTypes=css::uno::Sequence< css::uno::Type >())
| OTypeCollection (const css::uno::Type &rType1, const css::uno::Type &rType2, const css::uno::Type &rType3, const css::uno::Type &rType4, const css::uno::Type &rType5, const css::uno::Sequence< css::uno::Type > &rAddTypes=css::uno::Sequence< css::uno::Type >())
| OTypeCollection (const css::uno::Type &rType1, const css::uno::Type &rType2, const css::uno::Type &rType3, const css::uno::Type &rType4, const css::uno::Type &rType5, const css::uno::Type &rType6, const css::uno::Sequence< css::uno::Type > &rAddTypes=css::uno::Sequence< css::uno::Type >())
| OTypeCollection (const css::uno::Type &rType1, const css::uno::Type &rType2, const css::uno::Type &rType3, const css::uno::Type &rType4, const css::uno::Type &rType5, const css::uno::Type &rType6, const css::uno::Type &rType7, const css::uno::Sequence< css::uno::Type > &rAddTypes=css::uno::Sequence< css::uno::Type >())
| OTypeCollection (const css::uno::Type &rType1, const css::uno::Type &rType2, const css::uno::Type &rType3, const css::uno::Type &rType4, const css::uno::Type &rType5, const css::uno::Type &rType6, const css::uno::Type &rType7, const css::uno::Type &rType8, const css::uno::Sequence< css::uno::Type > &rAddTypes=css::uno::Sequence< css::uno::Type >())
| OTypeCollection (const css::uno::Type &rType1, const css::uno::Type &rType2, const css::uno::Type &rType3, const css::uno::Type &rType4, const css::uno::Type &rType5, const css::uno::Type &rType6, const css::uno::Type &rType7, const css::uno::Type &rType8, const css::uno::Type &rType9, const css::uno::Sequence< css::uno::Type > &rAddTypes=css::uno::Sequence< css::uno::Type >())
| OTypeCollection (const css::uno::Type &rType1, const css::uno::Type &rType2, const css::uno::Type &rType3, const css::uno::Type &rType4, const css::uno::Type &rType5, const css::uno::Type &rType6, const css::uno::Type &rType7, const css::uno::Type &rType8, const css::uno::Type &rType9, const css::uno::Type &rType10, const css::uno::Sequence< css::uno::Type > &rAddTypes=css::uno::Sequence< css::uno::Type >())
| OTypeCollection (const css::uno::Type &rType1, const css::uno::Type &rType2, const css::uno::Type &rType3, const css::uno::Type &rType4, const css::uno::Type &rType5, const css::uno::Type &rType6, const css::uno::Type &rType7, const css::uno::Type &rType8, const css::uno::Type &rType9, const css::uno::Type &rType10, const css::uno::Type &rType11, const css::uno::Sequence< css::uno::Type > &rAddTypes=css::uno::Sequence< css::uno::Type >())
| OTypeCollection (const css::uno::Type &rType1, const css::uno::Type &rType2, const css::uno::Type &rType3, const css::uno::Type &rType4, const css::uno::Type &rType5, const css::uno::Type &rType6, const css::uno::Type &rType7, const css::uno::Type &rType8, const css::uno::Type &rType9, const css::uno::Type &rType10, const css::uno::Type &rType11, const css::uno::Type &rType12, const css::uno::Sequence< css::uno::Type > &rAddTypes=css::uno::Sequence< css::uno::Type >())
css::uno::Sequence< css::uno::Type > | getTypes ()
| Called upon XTypeProvider::getTypes().

## Detailed Description

Helper class to implement css::lang::XTypeProvider.

Construct a static object of this class with your UNO object's supported types.

## Constructor & Destructor Documentation

## ◆ OTypeCollection() [1/12]

cppu::OTypeCollection::OTypeCollection | ( | const css::uno::Type & | rType1,
|  | const css::uno::Sequence< css::uno::Type > & | rAddTypes = css::uno::Sequence< css::uno::Type >() )

## ◆ OTypeCollection() [2/12]

cppu::OTypeCollection::OTypeCollection | ( | const css::uno::Type & | rType1,
|  | const css::uno::Type & | rType2,
|  | const css::uno::Sequence< css::uno::Type > & | rAddTypes = css::uno::Sequence< css::uno::Type >() )

## ◆ OTypeCollection() [3/12]

cppu::OTypeCollection::OTypeCollection | ( | const css::uno::Type & | rType1,
|  | const css::uno::Type & | rType2,
|  | const css::uno::Type & | rType3,
|  | const css::uno::Sequence< css::uno::Type > & | rAddTypes = css::uno::Sequence< css::uno::Type >() )

## ◆ OTypeCollection() [4/12]

cppu::OTypeCollection::OTypeCollection | ( | const css::uno::Type & | rType1,
|  | const css::uno::Type & | rType2,
|  | const css::uno::Type & | rType3,
|  | const css::uno::Type & | rType4,
|  | const css::uno::Sequence< css::uno::Type > & | rAddTypes = css::uno::Sequence< css::uno::Type >() )

## ◆ OTypeCollection() [5/12]

cppu::OTypeCollection::OTypeCollection | ( | const css::uno::Type & | rType1,
|  | const css::uno::Type & | rType2,
|  | const css::uno::Type & | rType3,
|  | const css::uno::Type & | rType4,
|  | const css::uno::Type & | rType5,
|  | const css::uno::Sequence< css::uno::Type > & | rAddTypes = css::uno::Sequence< css::uno::Type >() )

## ◆ OTypeCollection() [6/12]

cppu::OTypeCollection::OTypeCollection | ( | const css::uno::Type & | rType1,
|  | const css::uno::Type & | rType2,
|  | const css::uno::Type & | rType3,
|  | const css::uno::Type & | rType4,
|  | const css::uno::Type & | rType5,
|  | const css::uno::Type & | rType6,
|  | const css::uno::Sequence< css::uno::Type > & | rAddTypes = css::uno::Sequence< css::uno::Type >() )

## ◆ OTypeCollection() [7/12]

cppu::OTypeCollection::OTypeCollection | ( | const css::uno::Type & | rType1,
|  | const css::uno::Type & | rType2,
|  | const css::uno::Type & | rType3,
|  | const css::uno::Type & | rType4,
|  | const css::uno::Type & | rType5,
|  | const css::uno::Type & | rType6,
|  | const css::uno::Type & | rType7,
|  | const css::uno::Sequence< css::uno::Type > & | rAddTypes = css::uno::Sequence< css::uno::Type >() )

## ◆ OTypeCollection() [8/12]

cppu::OTypeCollection::OTypeCollection | ( | const css::uno::Type & | rType1,
|  | const css::uno::Type & | rType2,
|  | const css::uno::Type & | rType3,
|  | const css::uno::Type & | rType4,
|  | const css::uno::Type & | rType5,
|  | const css::uno::Type & | rType6,
|  | const css::uno::Type & | rType7,
|  | const css::uno::Type & | rType8,
|  | const css::uno::Sequence< css::uno::Type > & | rAddTypes = css::uno::Sequence< css::uno::Type >() )

## ◆ OTypeCollection() [9/12]

cppu::OTypeCollection::OTypeCollection | ( | const css::uno::Type & | rType1,
|  | const css::uno::Type & | rType2,
|  | const css::uno::Type & | rType3,
|  | const css::uno::Type & | rType4,
|  | const css::uno::Type & | rType5,
|  | const css::uno::Type & | rType6,
|  | const css::uno::Type & | rType7,
|  | const css::uno::Type & | rType8,
|  | const css::uno::Type & | rType9,
|  | const css::uno::Sequence< css::uno::Type > & | rAddTypes = css::uno::Sequence< css::uno::Type >() )

## ◆ OTypeCollection() [10/12]

cppu::OTypeCollection::OTypeCollection | ( | const css::uno::Type & | rType1,
|  | const css::uno::Type & | rType2,
|  | const css::uno::Type & | rType3,
|  | const css::uno::Type & | rType4,
|  | const css::uno::Type & | rType5,
|  | const css::uno::Type & | rType6,
|  | const css::uno::Type & | rType7,
|  | const css::uno::Type & | rType8,
|  | const css::uno::Type & | rType9,
|  | const css::uno::Type & | rType10,
|  | const css::uno::Sequence< css::uno::Type > & | rAddTypes = css::uno::Sequence< css::uno::Type >() )

## ◆ OTypeCollection() [11/12]

cppu::OTypeCollection::OTypeCollection | ( | const css::uno::Type & | rType1,
|  | const css::uno::Type & | rType2,
|  | const css::uno::Type & | rType3,
|  | const css::uno::Type & | rType4,
|  | const css::uno::Type & | rType5,
|  | const css::uno::Type & | rType6,
|  | const css::uno::Type & | rType7,
|  | const css::uno::Type & | rType8,
|  | const css::uno::Type & | rType9,
|  | const css::uno::Type & | rType10,
|  | const css::uno::Type & | rType11,
|  | const css::uno::Sequence< css::uno::Type > & | rAddTypes = css::uno::Sequence< css::uno::Type >() )

## ◆ OTypeCollection() [12/12]

cppu::OTypeCollection::OTypeCollection | ( | const css::uno::Type & | rType1,
|  | const css::uno::Type & | rType2,
|  | const css::uno::Type & | rType3,
|  | const css::uno::Type & | rType4,
|  | const css::uno::Type & | rType5,
|  | const css::uno::Type & | rType6,
|  | const css::uno::Type & | rType7,
|  | const css::uno::Type & | rType8,
|  | const css::uno::Type & | rType9,
|  | const css::uno::Type & | rType10,
|  | const css::uno::Type & | rType11,
|  | const css::uno::Type & | rType12,
|  | const css::uno::Sequence< css::uno::Type > & | rAddTypes = css::uno::Sequence< css::uno::Type >() )

## Member Function Documentation

## ◆ getTypes()

css::uno::Sequence< css::uno::Type > cppu::OTypeCollection::getTypes | ( |  | ) |
| inline

Called upon XTypeProvider::getTypes().

Returns
  type collection

The documentation for this class was generated from the following file:

- cppuhelper/typeprovider.hxx